local module = {}

function module.new(this,emitter,context)
	
	return this
end

function module.idle(this,engine) return true end

local begin = tick()
module.run = _G.Protect(function(this,emitter,context)
	
	return true
end)

module.replication_delta = 0.25
function module.replicate(this,emitter,context,details)

end

module.messages = {
	control = function(this,object,context,value)
		this.throttle = value
	end,
	starter = function(this,object,context,value)
		this.starter = value
	end,
}
module.messages.default = module.messages.control

module.manifest = {
	"Engine",
	"Engine2",
	"BigEngine",
	"BigRadial",
	"Radial",
	"Boiler1",
	"Boiler2"
}

return module
